/**
 * RoleClassInactiveIngredient2.java
 *
 * File generated from the medication2::RoleClassInactiveIngredient2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassInactiveIngredient2.
 *
 * 
 */

@XmlType(name = "RoleClassInactiveIngredient")
@XmlEnum
@XmlRootElement(name = "RoleClassInactiveIngredient2")
public enum RoleClassInactiveIngredient2 {
	@XmlEnumValue("IACT")
	IACT("IACT"),
	@XmlEnumValue("COLR")
	COLR("COLR"),
	@XmlEnumValue("FLVR")
	FLVR("FLVR"),
	@XmlEnumValue("PRSV")
	PRSV("PRSV"),
	@XmlEnumValue("STBL")
	STBL("STBL");
	
	private final String value;

    RoleClassInactiveIngredient2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassInactiveIngredient2 fromValue(String v) {
        for (RoleClassInactiveIngredient2 c: RoleClassInactiveIngredient2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
